package com.quyunshuo.androidbaseframemvvm.base.addressenum

import com.quyunshuo.androidbaseframemvvm.base.R

enum class PlcParamAddressEnum(
    val pit: Int,
    val address: String,
    val aName: String,
    val aNameId: Int
) {
    DATA1(
        1,
        "000000020002",
        "炉头待机转速",
        R.string.base_plc_param_1
    ),//FF020014为什么是14，就是读取data20,20的十六进制是14
    DATA2(2, "000000020002", "炉头待机温度", R.string.base_plc_param_2),

    DATA3(3, "000000020002", "X轴开机位置", R.string.base_plc_param_3),
    DATA4(4, "000000020002", "插棍位置", R.string.base_plc_param_4),
    DATA5(5, "000000020002", "插棍延时", R.string.base_plc_param_5),
    DATA6(6, "000000020002", "制作温度", R.string.base_plc_param_6),
    DATA7(7, "000000020002", "制作转速", R.string.base_plc_param_7),
    DATA8(8, "000000020002", "加湿量", R.string.base_plc_param_8),
    DATA9(9, "000000020002", "起始卷丝高度", R.string.base_plc_param_9),
    DATA10(10, "000000020002", "收尾丝速度", R.string.base_plc_param_10),
    DATA11(11, "000000020002", "收尾丝时间", R.string.base_plc_param_11),
    DATA12(12, "000000020002", "单色取糖位置补偿", R.string.base_plc_param_12),
    DATA13(13, "000000020002", "多色取糖位置补偿", R.string.base_plc_param_13),
    DATA14(14, "000000020002", "取糖位置", R.string.base_plc_param_14),
    DATA15(15, "000000020002", "取糖延时", R.string.base_plc_param_15),
    DATA16(16, "000000020002", "自动清洁水量", R.string.base_plc_param_16),
    DATA17(17, "000000020002", "自动清洁计数", R.string.base_plc_param_17),


    COREDATA1(1, "FF020016", "抽口味时间", R.string.base_action_param_1),
    COREDATA2(2, "FF020016", "抽口味时间", R.string.base_action_param_2),
    COREDATA3(3, "FF020016", "抽口味时间", R.string.base_action_param_3),
    COREDATA4(4, "FF020016", "抽口味时间", R.string.base_action_param_4),
    COREDATA5(5, "FF020016", "抽口味时间", R.string.base_action_param_5),
    COREDATA6(6, "FF020016", "抽口味时间", R.string.base_action_param_6),
    COREDATA7(7, "FF020016", "抽口味时间", R.string.base_action_param_7),
    COREDATA8(8, "FF020016", "抽口味时间", R.string.base_action_param_8),
    COREDATA9(9, "FF020016", "抽口味时间", R.string.base_action_param_9),
    COREDATA10(10, "FF020016", "抽口味时间", R.string.base_action_param_10),
    COREDATA11(11, "FF020016", "抽口味时间", R.string.base_action_param_11),
    COREDATA12(12, "FF020016", "抽口味时间", R.string.base_action_param_12),
    COREDATA13(13, "FF020016", "抽口味时间", R.string.base_action_param_13),
    COREDATA14(14, "FF020016", "抽口味时间", R.string.base_action_param_14),
    COREDATA15(15, "FF020016", "抽口味时间", R.string.base_action_param_15),
    COREDATA16(16, "FF020016", "抽口味时间", R.string.base_action_param_16),
    COREDATA17(17, "FF020016", "抽口味时间", R.string.base_action_param_17),
    COREDATA18(18, "FF020016", "抽口味时间", R.string.base_action_param_18),
    COREDATA19(19, "FF020016", "抽口味时间", R.string.base_action_param_19),
    COREDATA20(20, "FF020016", "抽口味时间", R.string.base_action_param_20),


    ADVAMCE1(1, "FF02000B", "X轴电机倍率", R.string.base_adc_param_1),
    ADVAMCE2(2, "FF02000B", "Y轴电机倍率", R.string.base_adc_param_2),
    ADVAMCE3(3, "FF02000B", "Z轴电机倍率", R.string.base_adc_param_3),
    ADVAMCE4(4, "FF02000B", "E0轴电机倍率", R.string.base_adc_param_4),
    ADVAMCE5(5, "FF02000B", "备用轴电机倍率", R.string.base_adc_param_5),
    ADVAMCE6(6, "FF02000B", "白糖电机倍率", R.string.base_adc_param_6),
    ADVAMCE7(7, "FF02000B", "红糖电机倍率", R.string.base_adc_param_7),
    ADVAMCE8(8, "FF02000B", "黄糖电机倍率", R.string.base_adc_param_8),
    ADVAMCE9(9, "FF02000B", "蓝糖电机倍率", R.string.base_adc_param_9),
    ADVAMCE10(10, "FF02000B", "备用糖电机倍率1", R.string.base_adc_param_10),
    ADVAMCE11(11, "FF02000B", "备用糖电机倍率2", R.string.base_adc_param_11),
    ADVAMCE12(12, "FF02000B", "备用电机倍率3", R.string.base_adc_param_12),
    ADVAMCE13(13, "FF02000B", "备用电机倍率4", R.string.base_adc_param_13),
    ADVAMCE14(14, "FF02000B", "备用电机倍率5", R.string.base_adc_param_14),
    ADVAMCE15(15, "FF02000B", "备用电机倍率6", R.string.base_adc_param_15),
    ADVAMCE16(16, "FF02000B", "炉头温度误差倍率", R.string.base_adc_param_16),
    ADVAMCE17(17, "FF02000B", "蒸发器温度误差倍率", R.string.base_adc_param_17),
    ADVAMCE21(21, "FF02000B", "脉冲1 翻转", R.string.base_adc_param_21),
    ADVAMCE22(22, "FF02000B", "脉冲2 翻转", R.string.base_adc_param_22),
    ADVAMCE23(23, "FF02000B", "脉冲3 翻转", R.string.base_adc_param_23),


    ADVAMCE121(1, "FF02000C", "X轴复位超时", R.string.base_adc_param_121),
    ADVAMCE122(2, "FF02000C", "Y轴复位超时", R.string.base_adc_param_122),
    ADVAMCE123(3, "FF02000C", "Z轴复位超时", R.string.base_adc_param_123),
    ADVAMCE126(6, "FF02000C", "炉头加热超时", R.string.base_adc_param_126),


    SUGARWRITE1(1, "FF020015", "白糖-1", R.string.base_sugar_write_param_1),
    SUGARWRITE2(2, "FF020015", "白糖-2", R.string.base_sugar_write_param_2),
    SUGARWRITE3(3, "FF020015", "白糖-3", R.string.base_sugar_write_param_3),
    SUGARWRITE4(4, "FF020015", "白糖-4", R.string.base_sugar_write_param_4),
    SUGARWRITE5(5, "FF020015", "白糖-5", R.string.base_sugar_write_param_5),
    SUGARWRITE6(6, "FF020015", "红糖-1", R.string.base_sugar_write_param_6),
    SUGARWRITE7(7, "FF020015", "红糖-2", R.string.base_sugar_write_param_7),
    SUGARWRITE8(8, "FF020015", "红糖-3", R.string.base_sugar_write_param_8),
    SUGARWRITE9(9, "FF020015", "红糖-4", R.string.base_sugar_write_param_9),
    SUGARWRITE10(10, "FF020015", "红糖-5", R.string.base_sugar_write_param_10),
    SUGARWRITE11(11, "FF020015", "黄糖-1", R.string.base_sugar_write_param_11),
    SUGARWRITE12(12, "FF020015", "黄糖-2", R.string.base_sugar_write_param_12),
    SUGARWRITE13(13, "FF020015", "黄糖-3", R.string.base_sugar_write_param_13),
    SUGARWRITE14(14, "FF020015", "黄糖-4", R.string.base_sugar_write_param_14),
    SUGARWRITE15(15, "FF020015", "黄糖-5", R.string.base_sugar_write_param_15),
    SUGARWRITE16(16, "FF020015", "蓝糖-1", R.string.base_sugar_write_param_16),
    SUGARWRITE17(17, "FF020015", "蓝糖-2", R.string.base_sugar_write_param_17),
    SUGARWRITE18(18, "FF020015", "蓝糖-3", R.string.base_sugar_write_param_18),
    SUGARWRITE19(19, "FF020015", "蓝糖-4", R.string.base_sugar_write_param_19),
    SUGARWRITE20(20, "FF020015", "蓝糖-5", R.string.base_sugar_write_param_20),
    SUGARWRITE21(21, "FF020015", "彩糖-1", R.string.base_sugar_write_param_21),
    SUGARWRITE22(22, "FF020015", "彩糖-2", R.string.base_sugar_write_param_22),
    SUGARWRITE23(23, "FF020015", "彩糖-3", R.string.base_sugar_write_param_23),
    SUGARWRITE24(24, "FF020015", "彩糖-4", R.string.base_sugar_write_param_24),
    SUGARWRITE25(25, "FF020015", "彩糖-5", R.string.base_sugar_write_param_25),


    R9OO8HG0ARAM1(1, "FF020017", "彩糖-5", R.string.base_rolling_param_1),
    R9OO8HG0ARAM2(2, "FF020017", "彩糖-5", R.string.base_rolling_param_2),
    R9OO8HG0ARAM3(3, "FF020017", "彩糖-5", R.string.base_rolling_param_3),
    R9OO8HG0ARAM4(4, "FF020017", "彩糖-5", R.string.base_rolling_param_4),
    R9OO8HG0ARAM5(5, "FF020017", "彩糖-5", R.string.base_rolling_param_5),
    R9OO8HG0ARAM6(6, "FF020017", "彩糖-5", R.string.base_rolling_param_6),
    R9OO8HG0ARAM7(7, "FF020017", "彩糖-5", R.string.base_rolling_param_7),
    R9OO8HG0ARAM8(8, "FF020017", "彩糖-5", R.string.base_rolling_param_8),
    R9OO8HG0ARAM9(9, "FF020017", "彩糖-5", R.string.base_rolling_param_9),
    R9OO8HG0ARAM10(10, "FF020017", "彩糖-5", R.string.base_rolling_param_10),
    R9OO8HG0ARAM11(11, "FF020017", "彩糖-5", R.string.base_rolling_param_11),
    R9OO8HG0ARAM12(12, "FF020017", "彩糖-5", R.string.base_rolling_param_12),
    R9OO8HG0ARAM13(13, "FF020017", "彩糖-5", R.string.base_rolling_param_13),
    R9OO8HG0ARAM14(14, "FF020017", "彩糖-5", R.string.base_rolling_param_14),
    R9OO8HG0ARAM15(15, "FF020017", "彩糖-5", R.string.base_rolling_param_15),
    R9OO8HG0ARAM16(16, "FF020017", "彩糖-5", R.string.base_rolling_param_16),
    R9OO8HG0ARAM17(17, "FF020017", "彩糖-5", R.string.base_rolling_param_17),
    R9OO8HG0ARAM18(18, "FF020017", "彩糖-5", R.string.base_rolling_param_18),
    R9OO8HG0ARAM19(19, "FF020017", "彩糖-5", R.string.base_rolling_param_19),
    R9OO8HG0ARAM20(20, "FF020017", "彩糖-5", R.string.base_rolling_param_20),


}